Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.glacier.v2.messaging
Class GlacierDataMessage

    java.lang.Object
      rice.p2p.glacier.v2.messaging.GlacierMessage
          rice.p2p.glacier.v2.messaging.GlacierDataMessage

All Implemented Interfaces:
  Message, java.io.Serializable

public class GlacierDataMessage
extends GlacierMessage

DESCRIBE THE CLASS

Version:
  $Id: pretty.settings,v 1.3 2005/03/11 20:22:33 jeffh Exp $
Author:
  jeffh
See Also:
  Serialized Form

Field Summary
`protected Fragment[]` | `fragments` DESCRIBE THE FIELD
`protected FragmentKey[]` | `keys` DESCRIBE THE FIELD
`protected Manifest[]` | `manifests` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`dest, id, isResponse, source, tag`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GlacierDataMessage(int uid, FragmentKey[] keys, Fragment[] fragments, Manifest[] manifests, NodeHandle source, Id dest, boolean isResponse, char tag)` Constructor for GlacierDataMessage.
`GlacierDataMessage(int uid, FragmentKey key, Fragment fragment, Manifest manifest, NodeHandle source, Id dest, boolean isResponse, char tag)` Constructor for GlacierDataMessage.

Method Summary
`Fragment` | `getFragment(int index)` Gets the Fragment attribute of the GlacierDataMessage object
`FragmentKey` | `getKey(int index)` Gets the Key attribute of the GlacierDataMessage object
`Manifest` | `getManifest(int index)` Gets the Manifest attribute of the GlacierDataMessage object
`int` | `numKeys()` DESCRIBE THE METHOD
`java.lang.String` | `toString()` DESCRIBE THE METHOD

Methods inherited from class rice.p2p.glacier.v2.messaging.GlacierMessage
`getDestination, getPriority, getSource, getTag, getUID, isResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### keys

    protected FragmentKey[] keys

  DESCRIBE THE FIELD

### fragments

    protected Fragment[] fragments

  DESCRIBE THE FIELD

### manifests

    protected Manifest[] manifests

  DESCRIBE THE FIELD

Constructor Detail

### GlacierDataMessage

    public GlacierDataMessage(int uid,
                              FragmentKey key,
                              Fragment fragment,
                              Manifest manifest,
                              NodeHandle source,
                              Id dest,
                              boolean isResponse,
                              char tag)

  Constructor for GlacierDataMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `key` - DESCRIBE THE PARAMETER
  `fragment` - DESCRIBE THE PARAMETER
  `manifest` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `isResponse` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

### GlacierDataMessage

    public GlacierDataMessage(int uid,
                              FragmentKey[] keys,
                              Fragment[] fragments,
                              Manifest[] manifests,
                              NodeHandle source,
                              Id dest,
                              boolean isResponse,
                              char tag)

  Constructor for GlacierDataMessage.

Parameters:
  `uid` - DESCRIBE THE PARAMETER
  `keys` - DESCRIBE THE PARAMETER
  `fragments` - DESCRIBE THE PARAMETER
  `manifests` - DESCRIBE THE PARAMETER
  `source` - DESCRIBE THE PARAMETER
  `dest` - DESCRIBE THE PARAMETER
  `isResponse` - DESCRIBE THE PARAMETER
  `tag` - DESCRIBE THE PARAMETER

Method Detail

### getKey

    public FragmentKey getKey(int index)

  Gets the Key attribute of the GlacierDataMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Key value

### getFragment

    public Fragment getFragment(int index)

  Gets the Fragment attribute of the GlacierDataMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Fragment value

### getManifest

    public Manifest getManifest(int index)

  Gets the Manifest attribute of the GlacierDataMessage object

  Parameters:
    `index` - DESCRIBE THE PARAMETER
  Returns:
    The Manifest value

### numKeys

    public int numKeys()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

### toString

    public java.lang.String toString()

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.